#include "circleindicatorplugin.h"

#include "circleindicator.h"

#include <QtCore/QtPlugin>


CircleIndicatorPlugin::CircleIndicatorPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void CircleIndicatorPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool CircleIndicatorPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * CircleIndicatorPlugin::createWidget(QWidget * parent) {
	return new CircleIndicator(parent);
}


QString CircleIndicatorPlugin::name() const {
	return QLatin1String("CircleIndicator");
}


QString CircleIndicatorPlugin::group() const {
	return QLatin1String("Display Widgets");
}


QIcon CircleIndicatorPlugin::icon() const {
	return QIcon(":/icons/widgets/circle-indicator.png");
}


QString CircleIndicatorPlugin::toolTip() const {
	return QLatin1String("Circle indicator with text");
}


QString CircleIndicatorPlugin::whatsThis() const {
	return QLatin1String("Circle indicator with text");
}


bool CircleIndicatorPlugin::isContainer() const {
	return false;
}


QString CircleIndicatorPlugin::domXml() const {
	return QLatin1String("<widget class=\"CircleIndicator\" name=\"circleIndicator\">\n</widget>\n");
}


QString CircleIndicatorPlugin::includeFile() const {
	return QLatin1String("circleindicator.h");
}
